Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message
Class LiteralMessageBuilderSpi

    java.lang.Object
      cryptix.message.LiteralMessageBuilderSpi

public abstract class LiteralMessageBuilderSpi
extends java.lang.Object

Service provider interface for LiteralMessageBuilder

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`LiteralMessageBuilderSpi()`

Method Summary
`abstract Message` | `engineBuild()` Returns the built literal message
`abstract void` | `engineInit(byte[] contents, java.security.SecureRandom sr)` Initializes this builder with the given binary data and SecureRandom object.
`abstract void` | `engineInit(java.lang.String contents, java.security.SecureRandom sr)` Initializes this builder with the given text data and SecureRandom object.
`abstract void` | `engineSetAttribute(java.lang.String name, java.lang.Object attr)` Set a format specific attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiteralMessageBuilderSpi

    public LiteralMessageBuilderSpi()

Method Detail

### engineInit

    public abstract void engineInit(byte[] contents,
                                    java.security.SecureRandom sr)
                             throws java.lang.IllegalStateException,
                                    MessageException

  Initializes this builder with the given binary data and SecureRandom object.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### engineInit

    public abstract void engineInit(java.lang.String contents,
                                    java.security.SecureRandom sr)
                             throws java.lang.IllegalStateException,
                                    MessageException

  Initializes this builder with the given text data and SecureRandom object.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### engineSetAttribute

    public abstract void engineSetAttribute(java.lang.String name,
                                            java.lang.Object attr)
                                     throws java.lang.IllegalStateException,
                                            java.lang.IllegalArgumentException,
                                            MessageException

  Set a format specific attribute.

  Parameters:
    `name` - a name identifying the attribute
    `attr` - the attribute itself
  Throws:
    `java.lang.IllegalStateException` - if this message has not been initialized before.
    `java.lang.IllegalArgumentException` - if the attribute is not supported or the given object does not have the right type.
    `MessageException` - on a variety of format specific problems.

### engineBuild

    public abstract Message engineBuild()
                                 throws java.lang.IllegalStateException,
                                        MessageException

  Returns the built literal message

  Throws:
    `InvalidStateException` - if this message has not been initialized properly, or if multiple calls to this build() method are made.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.